import { defineConfig } from "astro/config";

// https://github.com/alexandre-fernandez/astro-i18n
import i18n from "astro-i18n";

// https://astro.build/config
import mdx from "@astrojs/mdx";
import sitemap from "@astrojs/sitemap";

// https://astro.build/config
export default defineConfig({
	site: "https://www.nardu.in",
	image: {
		domains: ["assets.nardu.in"],
		remotePatterns: [{ protocol: "https" }],
	},
	markdown: {
		syntaxHighlight: "prism",
	},
	integrations: [
		i18n(),
		mdx(),
		sitemap({
			i18n: {
				defaultLocale: "fr", // All urls that don't contain `en`
				locales: {
					fr: "fr-FR", // The `defaultLocale` value must present in `locales` keys
					en: "en-US",
				},
			},
		}),
	],
});
